Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.vocabulary
Class DCTerms

    java.lang.Object
      com.hp.hpl.jena.vocabulary.DCTerms

    public class DCTerms

extends java.lang.Object

Vocabulary definitions from vocabularies/dublin-core_terms.xml

Author:
  Auto-generated by schemagen on 13 May 2003 08:53

Field Summary
`static Property` | `accessRights` Information about who can access the resource or an indication of its security status.
`static Property` | `alternative` Any form of the title used as a substitute or alternative to the formal title of the resource.
`static Property` | `audience` A class of entity for whom the resource is intended or useful.
`static Property` | `available` Date (often a range) that the resource will become or did become available.
`static Property` | `bibliographicCitation` A bibliographic reference for the resource.
`static Resource` | `Box` The DCMI Box identifies a region of space using its geographic limits.
`static Property` | `conformsTo` A reference to an established standard to which the resource conforms.
`static Property` | `created` Date of creation of the resource.
`static Property` | `dateAccepted` Date of acceptance of the resource (e.g. of thesis by university department, of article by journal, etc.).
`static Property` | `dateCopyrighted` Date of a statement of copyright.
`static Resource` | `DateScheme` A set of date encoding schemes and/or formats
`static Property` | `dateSubmitted` Date of submission of the resource (e.g. thesis, articles, etc.).
`static Property` | `dcAbstract` A summary of the content of the resource.
`static Resource` | `DCMIType` A list of types used to categorize the nature or genre of the content of the resource.
`static Resource` | `DDC` Dewey Decimal Classification
`static Property` | `educationLevel` A general statement describing the education or training context.
`static Property` | `extent` The size or duration of the resource.
`static Resource` | `FormatScheme` A set of format encoding schemes.
`static Property` | `hasFormat` The described resource pre-existed the referenced resource, which is essentially the same intellectual content presented in another format.
`static Property` | `hasPart` The described resource includes the referenced resource either physically or logically.
`static Property` | `hasVersion` The described resource has a version, edition, or adaptation, namely, the referenced resource.
`static Resource` | `IdentifierScheme` A set of resource identifier encoding schemes and/or formats
`static Resource` | `IMT` The Internet media type of the resource.
`static Property` | `isFormatOf` The described resource is the same intellectual content of the referenced resource, but presented in another format.
`static Resource` | `ISO3166` ISO 3166 Codes for the representation of names of countries
`static Resource` | `ISO639_2` ISO 639-2: Codes for the representation of names of languages.
`static Property` | `isPartOf` The described resource is a physical or logical part of the referenced resource.
`static Property` | `isReferencedBy` The described resource is referenced, cited, or otherwise pointed to by the referenced resource.
`static Property` | `isReplacedBy` The described resource is supplanted, displaced, or superseded by the referenced resource.
`static Property` | `isRequiredBy` The described resource is required by the referenced resource, either physically or logically.
`static Property` | `issued` Date of formal issuance (e.g., publication) of the resource.
`static Property` | `isVersionOf` The described resource is a version, edition, or adaptation of the referenced resource.
`static Resource` | `LanguageScheme` A set of language encoding schemes and/or formats.
`static Resource` | `LCC` Library of Congress Classification
`static Resource` | `LCSH` Library of Congress Subject Headings
`static Property` | `mediator` A class of entity that mediates access to the resource and for whom the resource is intended or useful.
`static Property` | `medium` The material or physical carrier of the resource.
`static Resource` | `MESH` Medical Subject Headings
`static Property` | `modified` Date on which the resource was changed.
`static Resource` | `NAMESPACE` The namespace of the vocabalary as a resource
`static java.lang.String` | `NS` The namespace of the vocabalary as a string ("http://purl.org/dc/terms/")
`static Resource` | `Period` A specification of the limits of a time interval.
`static Resource` | `Point` The DCMI Point identifies a point in space using its geographic coordinates.
`static Property` | `references` The described resource references, cites, or otherwise points to the referenced resource.
`static Resource` | `RelationScheme` A set of resource relation encoding schemes and/or formats
`static Property` | `replaces` The described resource supplants, displaces, or supersedes the referenced resource.
`static Property` | `requires` The described resource requires the referenced resource to support its function, delivery, or coherence of content.
`static Resource` | `RFC1766` Internet RFC 1766 'Tags for the identification of Language' specifies a two letter code taken from ISO 639, followed optionally by a two letter country code taken from ISO 3166.
`static Resource` | `RFC3066` Internet RFC 3066 'Tags for the Identification of Languages' specifies a primary subtag which is a two-letter code taken from ISO 639 part 1 or a three-letter code taken from ISO 639 part 2, followed optionally by a two-letter country code taken from ISO 3166.
`static Resource` | `SourceScheme` A set of source encoding schemes and/or formats
`static Property` | `spatial` Spatial characteristics of the intellectual content of the resoure.
`static Resource` | `SpatialScheme` A set of geographic place encoding schemes and/or formats
`static Resource` | `SubjectScheme` A set of subject encoding schemes and/or formats
`static Property` | `tableOfContents` A list of subunits of the content of the resource.
`static Property` | `temporal` Temporal characteristics of the intellectual content of the resource.
`static Resource` | `TemporalScheme` A set of encoding schemes for the coverage qualifier "temporal"
`static Resource` | `TGN` The Getty Thesaurus of Geographic Names
`static Resource` | `TypeScheme` A set of resource type encoding schemes and/or formats
`static Resource` | `UDC` Universal Decimal Classification
`static Resource` | `URI` A URI Uniform Resource Identifier
`static Property` | `valid` Date (often a range) of validity of a resource.
`static Resource` | `W3CDTF` W3C Encoding rules for dates and times - a profile based on ISO 8601

Constructor Summary
`DCTerms()`

Method Summary
`static java.lang.String` | `getURI()` The namespace of the vocabalary as a string

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final java.lang.String NS

  The namespace of the vocabalary as a string ("http://purl.org/dc/terms/")

  See Also:
    Constant Field Values

### NAMESPACE

    public static final Resource NAMESPACE

  The namespace of the vocabalary as a resource

### audience

    public static final Property audience

  A class of entity for whom the resource is intended or useful.

### alternative

    public static final Property alternative

  Any form of the title used as a substitute or alternative to the formal title of the resource.

### tableOfContents

    public static final Property tableOfContents

  A list of subunits of the content of the resource.

### dcAbstract

    public static final Property dcAbstract

  A summary of the content of the resource.

### created

    public static final Property created

  Date of creation of the resource.

### valid

    public static final Property valid

  Date (often a range) of validity of a resource.

### available

    public static final Property available

  Date (often a range) that the resource will become or did become available.

### issued

    public static final Property issued

  Date of formal issuance (e.g., publication) of the resource.

### modified

    public static final Property modified

  Date on which the resource was changed.

### extent

    public static final Property extent

  The size or duration of the resource.

### medium

    public static final Property medium

  The material or physical carrier of the resource.

### isVersionOf

    public static final Property isVersionOf

  The described resource is a version, edition, or adaptation of the referenced resource. Changes in version imply substantive changes in content rather than differences in format.

### hasVersion

    public static final Property hasVersion

  The described resource has a version, edition, or adaptation, namely, the referenced resource.

### isReplacedBy

    public static final Property isReplacedBy

  The described resource is supplanted, displaced, or superseded by the referenced resource.

### replaces

    public static final Property replaces

  The described resource supplants, displaces, or supersedes the referenced resource.

### isRequiredBy

    public static final Property isRequiredBy

  The described resource is required by the referenced resource, either physically or logically.

### requires

    public static final Property requires

  The described resource requires the referenced resource to support its function, delivery, or coherence of content.

### isPartOf

    public static final Property isPartOf

  The described resource is a physical or logical part of the referenced resource.

### hasPart

    public static final Property hasPart

  The described resource includes the referenced resource either physically or logically.

### isReferencedBy

    public static final Property isReferencedBy

  The described resource is referenced, cited, or otherwise pointed to by the referenced resource.

### references

    public static final Property references

  The described resource references, cites, or otherwise points to the referenced resource.

### isFormatOf

    public static final Property isFormatOf

  The described resource is the same intellectual content of the referenced resource, but presented in another format.

### hasFormat

    public static final Property hasFormat

  The described resource pre-existed the referenced resource, which is essentially the same intellectual content presented in another format.

### conformsTo

    public static final Property conformsTo

  A reference to an established standard to which the resource conforms.

### spatial

    public static final Property spatial

  Spatial characteristics of the intellectual content of the resoure.

### temporal

    public static final Property temporal

  Temporal characteristics of the intellectual content of the resource.

### mediator

    public static final Property mediator

  A class of entity that mediates access to the resource and for whom the resource is intended or useful.

### dateAccepted

    public static final Property dateAccepted

  Date of acceptance of the resource (e.g. of thesis by university department, of article by journal, etc.).

### dateCopyrighted

    public static final Property dateCopyrighted

  Date of a statement of copyright.

### dateSubmitted

    public static final Property dateSubmitted

  Date of submission of the resource (e.g. thesis, articles, etc.).

### educationLevel

    public static final Property educationLevel

  A general statement describing the education or training context. Alternatively, a more specific statement of the location of the audience in terms of its progression through an education or training context.

### accessRights

    public static final Property accessRights

  Information about who can access the resource or an indication of its security status.

### bibliographicCitation

    public static final Property bibliographicCitation

  A bibliographic reference for the resource.

### SubjectScheme

    public static final Resource SubjectScheme

  A set of subject encoding schemes and/or formats

### DateScheme

    public static final Resource DateScheme

  A set of date encoding schemes and/or formats

### FormatScheme

    public static final Resource FormatScheme

  A set of format encoding schemes.

### LanguageScheme

    public static final Resource LanguageScheme

  A set of language encoding schemes and/or formats.

### SpatialScheme

    public static final Resource SpatialScheme

  A set of geographic place encoding schemes and/or formats

### TemporalScheme

    public static final Resource TemporalScheme

  A set of encoding schemes for the coverage qualifier "temporal"

### TypeScheme

    public static final Resource TypeScheme

  A set of resource type encoding schemes and/or formats

### IdentifierScheme

    public static final Resource IdentifierScheme

  A set of resource identifier encoding schemes and/or formats

### RelationScheme

    public static final Resource RelationScheme

  A set of resource relation encoding schemes and/or formats

### SourceScheme

    public static final Resource SourceScheme

  A set of source encoding schemes and/or formats

### LCSH

    public static final Resource LCSH

  Library of Congress Subject Headings

### MESH

    public static final Resource MESH

  Medical Subject Headings

### DDC

    public static final Resource DDC

  Dewey Decimal Classification

### LCC

    public static final Resource LCC

  Library of Congress Classification

### UDC

    public static final Resource UDC

  Universal Decimal Classification

### DCMIType

    public static final Resource DCMIType

  A list of types used to categorize the nature or genre of the content of the resource.

### IMT

    public static final Resource IMT

  The Internet media type of the resource.

### ISO639_2

    public static final Resource ISO639_2

  ISO 639-2: Codes for the representation of names of languages.

### RFC1766

    public static final Resource RFC1766

  Internet RFC 1766 'Tags for the identification of Language' specifies a two letter code taken from ISO 639, followed optionally by a two letter country code taken from ISO 3166.

### URI

    public static final Resource URI

  A URI Uniform Resource Identifier

### Point

    public static final Resource Point

  The DCMI Point identifies a point in space using its geographic coordinates.

### ISO3166

    public static final Resource ISO3166

  ISO 3166 Codes for the representation of names of countries

### Box

    public static final Resource Box

  The DCMI Box identifies a region of space using its geographic limits.

### TGN

    public static final Resource TGN

  The Getty Thesaurus of Geographic Names

### Period

    public static final Resource Period

  A specification of the limits of a time interval.

### W3CDTF

    public static final Resource W3CDTF

  W3C Encoding rules for dates and times - a profile based on ISO 8601

### RFC3066

    public static final Resource RFC3066

  Internet RFC 3066 'Tags for the Identification of Languages' specifies a primary subtag which is a two-letter code taken from ISO 639 part 1 or a three-letter code taken from ISO 639 part 2, followed optionally by a two-letter country code taken from ISO 3166. When a language in ISO 639 has both a two-letter and three-letter code, use the two-letter code; when it has only a three-letter code, use the three-letter code. This RFC replaces RFC 1766.

Constructor Detail

### DCTerms

    public DCTerms()

Method Detail

### getURI

    public static java.lang.String getURI()

  The namespace of the vocabalary as a string

  See Also:
    `NS`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP